Bug 214645 - SQlite plugin is not in QT 3.3 spec file
Summary: SQlite plugin is not in QT 3.3 spec file
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-08 19:04 UTC by Walter Francis
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 17:19:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Walter Francis 2006-11-08 19:04:43 UTC
Description of problem:
QT SQlite is used in a few projects if available, in my particular case I'm
interested in getting it for KPhotoAlbum as it enhances the Exif capabilities if
available.

However, the spec file for QT does not compile the SQlite plugin.  This might be
 intentional, however it should be in the spec in my opinion.  A flag, sqlite=0
by default for example..  If you want sqlite, you have to edit the spec, but
it's trivial to do.  Right now it's certainly non-trivial to add sqlite to the
spec (for me anyway).

Or just add it in as a default plugin, such as MySQL, PSQL, and OBDC already
are.  It would require sqlite and sqlite-devel to rebuild, but that's no
different than the existing plugins.

Version-Release number of selected component (if applicable):
3.3.7

Comment 1 Ngo Than 2006-11-09 17:19:20 UTC
it's now fixed in rawhide. The fix will be included in next qt build for 
FC6-update


Note You need to log in before you can comment on or make changes to this bug.